For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • POSTValidate a full product object (FPO)
      • POSTValidate a product template
      • POSTValidate a standalone agent definition
      • POSTValidate a standalone flow definition
      • POSTValidate a standalone surface definition
      • POSTValidate a standalone tool definition
Dashboard
LogoLogo
Runtype APIProduct Validation

Validate a standalone agent definition

POST
/v1/public/products/validate/agent
POST
/v1/public/products/validate/agent
$curl -X POST https://api.runtype.com/v1/public/products/validate/agent \
> -H "Content-Type: application/json" \
> -d '{
> "description": "Answers customer support questions",
> "model": "claude-sonnet-4-5",
> "name": "Support Agent",
> "systemPrompt": "You are a support agent that helps users with their questions.",
> "tools": []
>}'
1{
2 "errors": [
3 {
4 "code": "string",
5 "message": "string",
6 "path": "string",
7 "severity": "string"
8 }
9 ],
10 "recommendations": [
11 {
12 "code": "string",
13 "message": "string",
14 "path": "string",
15 "severity": "string"
16 }
17 ],
18 "valid": true,
19 "warnings": [
20 {
21 "code": "string",
22 "message": "string",
23 "path": "string",
24 "severity": "string"
25 }
26 ]
27}
Validates an agent definition in isolation, without requiring a full product object.
Was this page helpful?
Previous

Validate a standalone flow definition

Next
Built with

Request

This endpoint expects an object.

Response

Validation result
errorslist of objects
recommendationslist of objects
validboolean
warningslist of objects

Errors

400
Bad Request Error
500
Internal Server Error